import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
import BN from 'bn.js';
import { Transaction } from '@leda-mint-io/lpl-core';
import { ParamsWithStore } from '../types';
declare type MintFractionalSharesParams = {
    vault: PublicKey;
    fractionMint: PublicKey;
    fractionMintAuthority: PublicKey;
    fractionTreasury: PublicKey;
    vaultAuthority: PublicKey;
    numberOfShares: BN;
};
export declare class MintFractionalShares extends Transaction {
    constructor(options: TransactionCtorFields, params: ParamsWithStore<MintFractionalSharesParams>);
}
export {};
