import { Borsh, Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
import { VaultInstructions } from '../VaultProgram';
import { ExternalPriceAccountData } from '../accounts/ExternalPriceAccount';
export declare class UpdateExternalPriceAccountArgs extends Borsh.Data<{
    externalPriceAccount: ExternalPriceAccountData;
}> {
    static readonly SCHEMA: any;
    instruction: VaultInstructions;
    externalPriceAccount: ExternalPriceAccountData;
}
declare type UpdateExternalPriceAccountParams = {
    externalPriceAccount: PublicKey;
    externalPriceAccountData: ExternalPriceAccountData;
};
export declare class UpdateExternalPriceAccount extends Transaction {
    constructor(options: TransactionCtorFields, params: UpdateExternalPriceAccountParams);
}
export {};
