import { Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
import BN from 'bn.js';
import { ParamsWithStore } from '../types';
declare type WithdrawSharesFromTreasuryParams = {
    vault: PublicKey;
    destination: PublicKey;
    fractionTreasury: PublicKey;
    vaultAuthority: PublicKey;
    transferAuthority: PublicKey;
    numberOfShares: BN;
};
export declare class WithdrawSharesFromTreasury extends Transaction {
    constructor(options: TransactionCtorFields, params: ParamsWithStore<WithdrawSharesFromTreasuryParams>);
}
export {};
