import { Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
import BN from 'bn.js';
import { ParamsWithStore } from '../types';
declare type WithdrawTokenFromSafetyDepositBoxParams = {
    vault: PublicKey;
    destination: PublicKey;
    safetyDepositBox: PublicKey;
    fractionMint: PublicKey;
    vaultAuthority: PublicKey;
    transferAuthority: PublicKey;
    amount: BN;
};
export declare class WithdrawTokenFromSafetyDepositBox extends Transaction {
    constructor(options: TransactionCtorFields, params: ParamsWithStore<WithdrawTokenFromSafetyDepositBoxParams>);
}
export {};
