import { Transaction } from '@leda-mint-io/lpl-core';
import { PublicKey, TransactionCtorFields } from '@safecoin/web3.js';
import BN from 'bn.js';
declare type AddTokenToInactiveVaultParams = {
    vault: PublicKey;
    vaultAuthority: PublicKey;
    tokenAccount: PublicKey;
    tokenStoreAccount: PublicKey;
    transferAuthority: PublicKey;
    safetyDepositBox: PublicKey;
    amount: BN;
};
export declare class AddTokenToInactiveVault extends Transaction {
    constructor(options: TransactionCtorFields, params: AddTokenToInactiveVaultParams);
}
export {};
